%define module_name Encode-Positive-Pairs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20170812
Release: alt1
Summary: Encode pairs of positive integers as a single integer and vice-versa
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PRBRENAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Encode::Positive::Pairs::singleToPair($n)

finds the pair of positive integers ($i, $j) with $j < $i corresponding to the
positive integer $n

 Encode::Positive::Pairs::pairToSingle($i, $j)

finds the single integer representing the pair of positive integers ($i, $j)
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/E*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 20170812-alt1
- regenerated from template by package builder

* Fri Mar 03 2017 Igor Vlasenko <viy@altlinux.ru> 2017.302-alt1
- initial import by package builder

